Bug 202689 - audio/sdl_mixer + audio/sdl2_mixer: add TREMOR option
Summary: audio/sdl_mixer + audio/sdl2_mixer: add TREMOR option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2015-08-27 07:43 UTC by Jan Beich
Modified: 2016-03-10 00:18 UTC (History)
1 user (show)

See Also:
jbeich: maintainer-feedback-


Attachments
QA for TREMOR=on: poudriere bulk -t -j armv6 audio/sdl_mixer (109.49 KB, text/plain)
2015-08-27 07:44 UTC, Jan Beich
no flags Details
v1 (4.21 KB, patch)
2015-08-27 07:46 UTC, Jan Beich
no flags Details | Diff
QA for TREMOR=on: poudriere bulk -t -j armv6 audio/sdl2_mixer (125.37 KB, text/plain)
2015-08-27 07:53 UTC, Jan Beich
no flags Details
QA for TREMOR=off: poudriere bulk -t -j 93i386 audio/sdl_mixer (91.06 KB, text/plain)
2015-08-27 07:56 UTC, Jan Beich
no flags Details
QA for TREMOR=off: poudriere bulk -t -j 93i386 audio/sdl2_mixer (102.99 KB, text/plain)
2015-08-27 08:02 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-08-27 07:43:04 UTC
Add an option to use integer-only Vorbis audio decoder implementation. And make it default according to bug 202641 (i.e. arm, armeb, powerpc e500).
Comment 1 Jan Beich freebsd_committer 2015-08-27 07:44:27 UTC
Created attachment 160395 [details]
QA for TREMOR=on: poudriere bulk -t -j armv6 audio/sdl_mixer

Note, bsd.cpu.mk is between base r287137 and base r287167.
Comment 2 Jan Beich freebsd_committer 2015-08-27 07:46:16 UTC
Created attachment 160396 [details]
v1
Comment 3 Jan Beich freebsd_committer 2015-08-27 07:53:12 UTC
Created attachment 160397 [details]
QA for TREMOR=on: poudriere bulk -t -j armv6 audio/sdl2_mixer

Note, bsd.cpu.mk is between base r287137 and base r287167.
Comment 4 Jan Beich freebsd_committer 2015-08-27 07:56:35 UTC
Created attachment 160398 [details]
QA for TREMOR=off: poudriere bulk -t -j 93i386 audio/sdl_mixer
Comment 5 Jan Beich freebsd_committer 2015-08-27 08:02:20 UTC
Created attachment 160399 [details]
QA for TREMOR=off: poudriere bulk -t -j 93i386 audio/sdl2_mixer
Comment 6 commit-hook freebsd_committer 2016-03-09 05:19:50 UTC
A commit references this bug:

Author: jbeich
Date: Wed Mar  9 05:18:51 UTC 2016
New revision: 410689
URL: https://svnweb.freebsd.org/changeset/ports/410689

Log:
  audio/sdl{,2}_mixer: add TREMOR option

  TREMOR is enabled by default on platforms without hardware floating point.

  PR:		202689
  Approved by:	maintainer timeout (6 months)

Changes:
  head/audio/sdl2_mixer/Makefile
  head/audio/sdl2_mixer/files/
  head/audio/sdl2_mixer/files/patch-dynamic__ogg.h
  head/audio/sdl2_mixer/files/patch-music__ogg.h
  head/audio/sdl_mixer/Makefile
Comment 7 commit-hook freebsd_committer 2016-03-10 00:18:27 UTC
A commit references this bug:

Author: jbeich
Date: Thu Mar 10 00:17:26 UTC 2016
New revision: 410736
URL: https://svnweb.freebsd.org/changeset/ports/410736

Log:
  audio/sdl{,2}_mixer: fix VORBIS=on logic after r410689

  PR:		202689
  Reported by:	antoine

Changes:
  head/audio/sdl2_mixer/Makefile
  head/audio/sdl_mixer/Makefile
Comment 8 commit-hook freebsd_committer 2016-03-10 00:18:28 UTC
A commit references this bug:

Author: jbeich
Date: Thu Mar 10 00:18:00 UTC 2016
New revision: 410737
URL: https://svnweb.freebsd.org/changeset/ports/410737

Log:
  audio/sdl{,2}_mixer: sync and add missing option descriptions

  PR:		202689

Changes:
  head/audio/sdl2_mixer/Makefile
  head/audio/sdl_mixer/Makefile